window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"3912","username":"awelch","comment":"<p>Note that the <a href=\"\/\/datatables.net\/reference\/option\/order()\"><code class=\"option\" title=\"DataTables initialisation option\">order()<\/code><\/a> function returns a mutable reference to DataTables internal settings.  This means that if you make changes to the returned array, for instance adjusting the array when using <a href=\"\/\/datatables.net\/reference\/option\/colReorder\"><code class=\"option\" title=\"DataTables initialisation option\">colReorder<\/code><\/a>, these changes will be reflected in the live table.<\/p>\n\n<p>In order to adjust the array without changing the table a deep clone would need to be made. This can be done with a custom loop or recursive function, using <code>Array.prototype.map()<\/code> if you don't need to support old browsers, or using <code>jQuery.extend()<\/code>.  Some examples:<\/p>\n\n<p><strong>Map:<\/strong><\/p>\n\n<pre><code class=\"multiline language-js\">var order = table.order();\nvar orderClone = [...order].map(x =&gt; ({...x}));\nvar columnOrder = this.colReorder.order();\nfor (var i = 0, j = order.length; i &lt; j; i++) {\n    \/\/Safe to modify array\n    orderClone[i][0] = columnOrder[order[i][0]];\n}\n<\/code><\/pre>\n\n<p><strong>jQuery:<\/strong><\/p>\n\n<pre><code class=\"multiline language-js\">var order = table.order();\nvar orderClone = jQuery.extend(true, [], order);\nvar columnOrder = this.colReorder.order();\nfor (var i = 0, j = order.length; i &lt; j; i++) {\n    \/\/Safe to modify array\n    orderClone[i][0] = columnOrder[order[i][0]];\n}\n<\/code><\/pre>\n","created":"22:33, Wed 13th Mar 2019","parent":null,"version":"1.10.19","children":[]}] );
} );window._site.page = "reference\/api\/order()";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '2f823bfcee3535fe9fd5161c9a6ed9571782b1e9e39b5764';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


